VLCKit

Instance Methods | Properties | List of all members
VLCAudio Class Reference

`#import <VLCAudio.h>`

Inheritance diagram for VLCAudio:

## Instance Methods
(void) | - setMute:
(void) | - volumeDown
(void) | - volumeUp

## Properties
BOOL | muted
int | volume
BOOL | passthrough

## Detailed Description

basic class to control audio output

## Method Documentation

## ◆ setMute:

- (void) setMute: |  | ((deprecated)) | __attribute__ |

Mute the current audio output.

Deprecated:
  This selector will be removed in the next release

## ◆ volumeDown

- (void) volumeDown |  |  |

lower the current audio output volume

## ◆ volumeUp

- (void) volumeUp |  |  |

higher the current audio output volume

## Property Documentation

## ◆ muted

- (BOOL) muted
| read write atomic assign

Property to mute the current audio output

Note
  decoding continues when muted, so consider disabling the audio track if you don't want audio for a long time

## ◆ passthrough

- (BOOL) passthrough
| read write atomic assign

enable passthrough mode for the current audio device

Note
  There is no warrenty that it succeeds as it depends on the capabilities of the hardware audio decoder / receiver attached by the user

## ◆ volume

- (int) volume
| read write atomic assign

control the current audio output volume

The documentation for this class was generated from the following file:

- Headers/Public/VLCAudio.h